Syncthing reports bad version, confusing other clients

Bug #1847018 reported by Constantine Evans
86
This bug affects 17 people
Affects Status Importance Assigned to Milestone
syncthing (Ubuntu)
Undecided
Unassigned

Bug Description

Syncthing (1.1.4~ds1-4) in Eaon results in *other* clients (eg, one running 1.0.1) reporting the error "Not sending symlinks to old client {EAON CLIENT} - please upgrade to v0.14.14 or newer". It appears that it reports its version as "unknown-dev". From the log of the 1.0.1 client:

2019-10-07 06:05:13 Device {DEVICE ID} client is "syncthing unknown-dev" named "{DEVICE NAME}" at {IP ADDRESS}/tcp-server

description: updated
tags: added: eoan
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in syncthing (Ubuntu):
status: New → Confirmed
Revision history for this message
Rhys Parry (rhyspuk) wrote :

Syncthing-GTK is failing to set itself up due to a bad version from Syncthing itself. It reports "Syncthing-GTK needs Syncthing daemon 0.14.50 or newer, but only v0.0 were found."

The daemon was installed as a dependency via Muon and reports:
$ syncthing --version
syncthing unknown-dev "Erbium Earthworm" (go1.12.9 linux-amd64) unknown@unknown 1970-01-01 00:00:00 UTC

Steps:
 * Kubuntu 19.10
 * Install syncthing-gtk via Muon
 * Run syncthing-gtk and try to setup

Revision history for this message
Petr Gregor (gregy-cz) wrote :

I hit the same thing in Ubuntu 19.10 with syncthing 1.1.4~ds1-4. I worked around it by downloading the official release from syncthing github (https://github.com/syncthing/syncthing/releases) and replacing the binary /usr/bin/syncthing with it. Not ideal but works.

Revision history for this message
Andy Jenkins (andy-jenks) wrote :

An alternative workaround that worked for me is to use the upstream PPA: https://apt.syncthing.net/

Revision history for this message
Owen (owen-ozone) wrote :

Still present on Focal, Kubuntu 20.04 here, syncthing version reported as "unknown-dev".
This was resulting in the "Not sending symlinks to old client" log messages and symlinks failing.
Fixed by installing 1.6.1 from the ppa above.

tags: added: focal
Revision history for this message
Dmitry Shachnev (mitya57) wrote :

This bug was fixed in the package syncthing - 1.9.0~ds1-2
Sponsored for Andrej Shadura (andrew.sh)

---------------
syncthing (1.9.0~ds1-2) unstable; urgency=medium

  * badger-max-cache.patch: Don't use deprecated
    MaxCache option.
  * Depend on quic-go >=0.18.0.

 -- Alexandre Viau <email address hidden> Sun, 20 Sep 2020 00:47:13 -0400

syncthing (1.9.0~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <email address hidden> Wed, 16 Sep 2020 11:49:49 -0400

syncthing (1.8.0~ds1-1) unstable; urgency=medium

  * New upstream version. (Closes: #966466, #964363)
  * Remove quic-go.patch.
  * Refresh patches.
  * d/rules: adapt to new GUI files location.
  * Depend on golang-siphash-dev.
  * Depend on golang-github-dgraph-io-badger-dev.
  * Depend on go-ldap >=3.2.3.
  * Depend on golang-github-greatroar-blobloom-dev.
  * Remove many unused dependencies.

 -- Alexandre Viau <email address hidden> Wed, 16 Sep 2020 11:34:10 -0400

syncthing (1.5.0~ds1-5) unstable; urgency=medium

  * d/watch: point to correct releases page.

 -- Alexandre Viau <email address hidden> Sun, 30 Aug 2020 16:01:59 -0400

syncthing (1.5.0~ds1-4) unstable; urgency=medium

  * upstream/metada: add repository and repository-browse links.

 -- Alexandre Viau <email address hidden> Sun, 30 Aug 2020 14:33:57 -0400

syncthing (1.5.0~ds1-3) unstable; urgency=medium

  * Declare Rules-Requires-Root: no.

 -- Alexandre Viau <email address hidden> Sun, 30 Aug 2020 14:30:58 -0400

syncthing (1.5.0~ds1-2) unstable; urgency=medium

  * Allow multiple options in STRELAYSRV_OPTS. (Closes: #920677)

 -- Alexandre Viau <email address hidden> Sun, 30 Aug 2020 14:04:31 -0400

syncthing (1.5.0~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh tests-wait-longer.patch.
  * Refresh skip-failing-test.patch.
  * Refresh disable_test_host_check.patch.
  * Depend on golang-github-maruel-panicparse-dev.
  * Depend on golang-github-getsentry-raven-go-dev.
  * Depend on golang-github-lucas-clemente-quic-go-dev.
  * Don't build cmd/stcrashreceiver.
  * Depend on golang-github-ccding-go-stun >= 0.1.2.
  * Depend on golang-github-jackpal-go-nat-pmp-dev.
  * Depend on golang-github-shirou-gopsutil-dev.
  * Depend on golang-github-willf-bloom-dev.
  * d/rules: don't build stupgrades.
  * Create quic-go.patch.

 -- Alexandre Viau <email address hidden> Sun, 30 Aug 2020 13:51:50 -0400

syncthing (1.1.4~ds1-5) unstable; urgency=medium

  * Team upload.
  * Fix version string in package. (Closes: #931401)

 -- Stephen Gelman <email address hidden> Thu, 12 Mar 2020 19:59:32 -0500

Changed in syncthing (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers